@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Noto+Sans+JP:wght@100..900&display=swap');

@font-face {
    font-family: 'Local Noto Sans JP';
    src: local("Noto Sans JP"), local("Noto Sans CJK JP"), local("Noto Sans CJK JP Regular");
}

/* -------------------------------------------
    Minimal Reset
------------------------------------------- */
:where(*, *::before, *::after) {
    box-sizing: border-box;
}

:where(html) {
    line-height: 1.5;
    -webkit-text-size-adjust: 100%;
    text-size-adjust: 100%;
    tab-size: 4;
    hanging-punctuation: first last;
}

:where(body, h1, h2, h3, h4, h5, h6, p, blockquote, figure, figcaption, ul, ol, dl, dd, li, pre, address, hr) {
    margin: 0;
    padding: 0;
}

:where(body) {
    min-height: 100svh;
    line-height: inherit;
}

:where(h1, h2, h3, h4, h5, h6) {
    font-size: inherit;
    font-weight: inherit;
    line-height: 1.2;
}

:where(ul, ol) {
    list-style: none;
}

:where(a) {
    color: inherit;
    text-decoration: none;
}

:where(img, video, svg, picture, canvas) {
    display: block;
    max-width: 100%;
    height: auto;
}

:where(svg) {
    fill: currentColor;
}

:where(button) {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0;
    border: none;
    border-radius: 0;
    background: transparent;
    color: pointer;
    font: inherit;
    line-height: inherit;
    letter-spacing: inherit;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    user-select: none;
    -webkit-user-select: none;
}

:where(hr) {
    border: none;
    border-top: 1px solid currentColor;
    color: inherit;
}

@media (prefers-reduced-motion: reduce) {
    :where(*, *::before, *::after) {
        animation-duration: 0.01ms !important;
        animation-iteration-count: 1 !important;
        transition-duration: 0.01ms !important;
        scroll-behavior: auto !important;
    }
}

:where(:focus-visible) {
    outline: 2px solid var(--clr-brand-light);
    outline-offset: 2px;
}

:where(:focus:not(:focus-visible)) {
    outline: none;
}

p {
    max-width: 100%;
    inline-size: 100%;
    min-width: 0;
}

/* -------------------------------------------
    Unique Styles
------------------------------------------- */
:root {
    --clr-corp: #4b1e78;
    --clr-brand: #6633cc;
    --clr-brand-light: #BD9BF8;
    --clr-accent-purple: #8B5CF6;
    --clr-accent-orange: #FF582F;
    --clr-accent-green: #0DDA96;
    --clr-accent-blue: #639EFF;
    --clr-accent-yellow: #FACC15;
    --clr-accent-gray: #6B7280;
    --clr-rank-1: var(--clr-accent-purple);
    --clr-rank-2: var(--clr-accent-orange);
    --clr-rank-3: var(--clr-accent-green);
    --clr-rank-4: var(--clr-accent-blue);
    --clr-rank-5: var(--clr-accent-yellow);
    --clr-rank-other: var(--clr-accent-gray);
    --content-gutter: clamp(24px, 5vw, 48px);
    --content-max-width: 100%;
    scroll-behavior: smooth;
    scroll-padding-block-start: 5rem;
}

@media (min-width: 1025px) {
    :root {
        --content-max-width: 960px;
    }
}

body {
    font-family: "Inter", "Local Noto Sans JP", "Noto Sans JP", sans-serif;
    font-weight: 500;
    line-height: 2;
    color: #333;
    text-autospace: normal;
    line-break: strict;
    font-variant-east-asian: proportional-width;

    &::before {
        content: "";
        display: block;
        position: fixed;
        inset: 0;
        z-index: -1;
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;

        @media(orientation: landscape) {
            background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6719_1.jpg);
        }

        @media(orientation: portrait) {
            background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6879_1.jpg);
        }
    }
}

h1,
h2,
h3,
b,
strong {
    font-weight: 700;
}

/* h1 */
.common-title[data-v-1fd1fc6e] {
    font-size: 1rem;
    padding: .5em .24rem;
    text-align: center;
    color: #fff;
    background-color: var(--clr-brand);
    position: relative;
    z-index: 10;
}

.topics-photo {
    display: none;
}

/* ----------------------------------
    common
---------------------------------- */
.p-section+.p-section {
    margin-block: 8rem;
}

.p-section__header {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-block-end: 3rem;
}

.p-section__tagline {
    width: max-content;
    color: var(--clr-brand);
    font-weight: bold;
    font-size: clamp(1rem, 0.9412rem + 0.2941vw, 1.25rem);
}

.p-section__headline {
    padding-inline: var(--content-gutter);
}

.p-section__headline img {
    width: clamp(320px, 100%, 400px);
    margin-inline: auto;
}

.p-section__main {
    max-width: calc(var(--content-max-width) + (var(--content-gutter) * 2));
    margin-inline: auto;
    padding-inline: var(--content-gutter);
    max-width: 1440px;
}

.p-section__description {
    margin-block-end: 3rem;
}

.music-staff {
    width: 100%;
    min-height: 40px;
    background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6616_1.svg);
    background-size: 8px 33px;
    background-position: left center;
    background-repeat: repeat-x;
}

.fade-in {
    opacity: 0;
    transform: translateY(10%);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
    will-change: opacity, transform;
}

.fade-in.is-active {
    opacity: 1;
    transform: translateY(0);
}

.fade-in.is-active:nth-child(2) {
    transition-delay: .2s;
}

.fade-in.is-active:nth-child(3) {
    transition-delay: .3s;
}

.fade-in.is-active:nth-child(4) {
    transition-delay: .4s;
}

.pc-only {
    display: none;
}

@media(min-width: 1000px) {
    .pc-only {
        display: block;
    }
}

/* ----------------------------------
    main contents
---------------------------------- */
.content-layer {
    position: relative;
    z-index: 1;
}

#main-container> :not(:nth-child(3)) {
    display: none;
}

/* ----------------------------------
    Navigation area
---------------------------------- */
.hamburger-btn {
    position: fixed;
    inset-inline-end: 1rem;
    inset-block-start: 3rem;
    z-index: 100;
    display: grid;
    place-content: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    backdrop-filter: blur(3px);
    background-color: rgba(255, 255, 255, .75);
    border: 2px solid rgba(255, 255, 255, .5);
    color: var(--clr-brand);
}

.side-menu {
    margin-inline: auto 0;
    height: 100dvh;
    width: 320px;
    max-width: 80vw;
    padding: 3rem 2rem;
    background: linear-gradient(-225deg, #E3FDF5 0%, #FFE6FA 100%);
    border: none;
    box-shadow: -4px 0 15px rgba(0, 0, 0, 0.1);
    transition: transform .3s ease, overlay .3s, display .3s;
    transition-behavior: allow-discrete;
    transform: translateX(100%);
}

.side-menu:popover-open {
    transform: translateX(0);
}

@starting-style {
    .side-menu:popover-open {
        transform: translateX(100%);
    }
}

.side-menu::backdrop {
    background: rgba(0, 0, 0, .5);
    transition: opacity .3s ease;
    transition-behavior: allow-discrete;
    opacity: 0;
}

.side-menu:popover-open::backdrop {
    opacity: 1;
}

@starting-style {
    .side-menu:popover-open::backdrop {
        opacity: 0;
    }
}

.menu-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-block-end: 2rem;
    border-block-end: 1px solid #ccc;
    padding-block-end: 1rem;
}

.menu-title {
    font-weight: bold;
    font-size: 1.2rem;
}

.nav-close-btn {
    width: 44px;
    height: 44px;
    border-radius: 50%;
    background-color: rgba(102, 51, 204, .5);
    color: #fff;
}

.menu-list__item+.menu-list__item {
    margin-block-start: 1rem;
}

.menu-list__link {
    display: block;
    line-height: 1.75;
}

.menu-list__link>span {
    display: block;
}

.menu-list__link>span:last-child {
    font-size: .75rem;
}

.menu-list__link>span:last-child::before {
    content: "(";
}

.menu-list__link>span:last-child::after {
    content: ")";
}

.menu-list__link--top-page {
    color: var(--clr-brand);
}

/* ----------------------------------
    Hero area
---------------------------------- */
@keyframes bg-wobble-loop {
    0% {
        background-position: center 0;
    }

    50% {
        background-position: center 12px;
    }

    100% {
        background-position: center 0;
    }
}

.hero {
    width: 100%;
    min-height: 100svh;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    z-index: 10;
    display: grid;
    place-content: center;
    grid-template-columns: minmax(0, 1fr);
    padding: 4rem 1.5rem;

    >div {
        position: relative;
        z-index: 1;
    }

    &::before,
    &::after {
        content: "";
        display: block;
        width: 100%;
        height: 100svh;
        position: absolute;
        z-index: 0;
        inset: 0;
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center top;
    }

    &::before {
        content: "";
    }

    @media(orientation: portrait) {
        background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6625_1.png);

        &::before {
            background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6916_1.svg);
        }
    }

    @media(orientation: landscape) {
        background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6627_1.png);

        &::before {
            background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6917_1.svg);
        }

        &::after {
            content: "";
            background-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6919_1.svg);
            opacity: .25;
        }
    }

    &.is-anim::before {
        animation: bg-wobble-loop 1s ease-in-out infinite;

        @media(prefers-reduced-motion: reduce) {
            animation: none;
        }
    }

    .hero__logo {
        width: 640px;
        max-width: 75%;
        margin-inline: auto;
        position: relative;

        img {
            width: 100%;
        }

        &::before {
            content: "";
            position: absolute;
            z-index: -1;
            inset: -20%;
            background-image: radial-gradient(circle at center, rgba(255, 255, 255, 75) 35%, transparent 65%);
        }
    }

    .hero__leading-text {
        font-size: clamp(1rem, 0.9412rem + 0.2941vw, 1.125rem);
        width: 100%;
        max-width: 1440px;
        margin-inline: auto;
        font-weight: 600;
        background-image: radial-gradient(circle at 25% 0 in oklab, #8e69ec 25%, #0280ff, #5dcdbc);
        color: transparent;
        background-clip: text;
        mix-blend-mode: multiply;

        @media(min-width: 1000px) {
            text-align: center;
            margin-block-start: -1lh;
        }

        p+p {
            margin-block-start: 1em;
        }
    }

}

.campaign {
    max-width: 720px;
    justify-self: center;
    background-color: #fff;
    margin-block-start: 3rem;
    padding: 1.5rem;
    border-radius: 3px;
    box-shadow: 0 1px 5px -1px rgba(0, 0, 0, .25);
    position: relative;

    &::before,
    &::after {
        content: "";
        display: inline-block;
        width: 1rem;
        height: 1rem;
        background-image: radial-gradient(circle at 25% 25%, #fd5895, #cd2463);
        position: absolute;
        top: 1rem;
        border-radius: 50%;
        box-shadow: 1px 2px 5px rgba(0, 0, 0, .25);
    }

    &::before {
        left: 1rem;
    }

    &::after {
        right: 1rem;
    }

    .campaign__label {
        width: fit-content;
        margin-inline: auto;
        padding-inline: .5rem;
        font-weight: bold;
        background-image: linear-gradient(to top, rgba(255, 225, 0, .5) 50%, transparent 50%);
        white-space: nowrap;
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .campaign__list {
        margin-block-start: 1rem;
        display: flex;
        flex-direction: column;
        gap: 1.5rem;

        @media(min-width: 768px) {
            flex-direction: row;
        }
    }

    .campaign__bnr img {
        width: 100%;
        height: auto;
        box-shadow: 0 1px 5px -1px rgba(0, 0, 0, .25);
    }
}

.coming-soon {
    position: relative;

    &::before,
    &::after {
        content: "";
        position: absolute;
        z-index: 0;
        width: 0;
        height: 0;
        pointer-events: none;
    }

    &::before {
        inset-block-start: -1px;
        inset-inline-start: -1px;
        border-block-start: 1rem solid #fff;
        border-inline-end: 1rem solid transparent;
    }

    &::after {
        inset-block-end: -1px;
        inset-inline-end: -1px;
        border-block-end: 1rem solid #fff;
        border-inline-start: 1rem solid transparent;
    }
}

/* ----------------------------------
    SNSでコネクト
---------------------------------- */
.sns-connect-desc {
    margin-block-start: 2rem;
}

.sns-connect-desc__link {
    display: block;
    width: fit-content;
    margin: 2rem auto 0;
    background-color: var(--clr-accent-purple);
    background-image: linear-gradient(12deg, var(--clr-accent-purple) 50%, var(--clr-brand-light));
    color: #fff;
    font-weight: bold;
    outline-offset: -.5em;
    border-radius: 3px;
    padding: 1em 3em;
    position: relative;
    z-index: 10;
    box-shadow: 0 1px 5px -1px rgba(0, 0, 0, .25);
    transform-style: preserve-3d;
}

@media(any-hover: hover) {
    .sns-connect-desc__link:hover {
        background-image: none;
    }
}

.sns-connect-desc__link::before {
    content: "";
    position: absolute;
    inset-block-end: -1px;
    inset-inline-end: 9px;
    width: 70%;
    height: 50%;
    background-color: rgba(208, 208, 208, .5);
    filter: blur(4px);
    transform: rotate(5deg) translateZ(-1px);
}

@media(min-width: 768px) {
    .sns-connect-desc__link {
        margin-inline-end: 0;
    }
}

/* ----------------------------------
    みんなの声でコネクト
---------------------------------- */
.survey-unit {
    display: flex;
    flex-direction: column;
    container-type: inline-size;
    gap: 2rem;
}

.survey-unit__title {
    display: flex;
    align-items: center;
    color: var(--clr-brand);
    gap: .5rem;
    border-block-end: 1px dashed var(--clr-brand-light);
    line-height: 1.25;
    padding-block-end: .5rem;
    position: relative;
}

.survey-unit__q-icon {
    flex: 0 0 auto;
    font-size: 3rem;
    font-family: Inter, sans-serif;
    font-weight: 700;
    line-height: 1;
    color: var(--clr-brand-light);
}

.survey-unit__title-note {
    position: absolute;
    inset: auto .5rem .5rem auto;
    font-size: .65em;
}

.survey-unit__chart {
    position: relative;
    width: 240px;
    height: 240px;
    margin-inline: auto;
}

.survey-unit__chart-container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    flex: 1;
    padding-inline: .5rem;
}

@container (max-width: 599px) {
    .survey-unit__chart.survey-unit__chart--bar {
        width: 100%;
        padding-inline: var(--content-gutter);
    }
}

@container (min-width: 600px) {
    .survey-unit__chart-container {
        flex-direction: row-reverse;
    }

    .survey-unit__legend {
        flex-grow: 1;
    }

    .survey-unit__chart.survey-unit__chart--bar {
        max-width: 264px;
    }

    .survey-unit__legend {
        line-height: 2.25;
    }
}

.survey-unit__chart-container:has(.bubble-chart) {
    display: block;
}

.bubble-chart {
    .bubble-chart__item {
        display: flex;
        flex-direction: column;

        @container (min-width: 520px) {
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
        }

        .bubble-chart__rank {
            display: flex;
            align-items: baseline;
            gap: .5rem;

            .bubble-chart__rank-num {
                display: inline-block;

                &::first-letter {
                    font-size: 1.5em;
                    font-weight: bold;
                    color: var(--item-clr);
                }
            }
        }

        .bubble-chart__rating-bar {
            width: 240px;
            max-width: 100%;
            aspect-ratio: 150 / 19;
            position: relative;
            background-color: #d1d1d1;
            -webkit-mask-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6921_1.svg);
            mask-image: url(https://www.print-gakufu.com/assets/images/upload/upload_6921_1.svg);
            -webkit-mask-size: contain;
            mask-size: contain;
            -webkit-mask-repeat: no-repeat;
            mask-repeat: no-repeat;

            .bubble-chart__rating-bar__fill {
                width: var(--percent);
                height: 100%;
                background-color: var(--item-clr);
                clip-path: inset(0 100% 0 0);
            }
        }
    }
}

.fade-in.is-active .bubble-chart__rating-bar__fill {
    animation: fill-note 2.5s ease-out forwards;
}

@keyframes fill-note {
    to {
        clip-path: inset(0 0 0 0);
    }
}

.pie-chart {
    clip-path: circle();
}

.fade-in.is-active .wipe-animation {
    animation: wipe 1.5s ease-out forwards;
}

@keyframes wipe {
    from {
        stroke-dasharray: 0 100;
    }

    to {
        stroke-dasharray: 100 0;
    }
}

.pie-chart g {
    -webkit-mask-mode: alpha;
    mask-mode: alpha;
}

.pie-chart circle:nth-child(1) {
    stroke: var(--clr-rank-1);
}

.pie-chart circle:nth-child(2) {
    stroke: var(--clr-rank-2);
}

.pie-chart circle:nth-child(3) {
    stroke: var(--clr-rank-3);
}

.pie-chart circle:nth-child(4) {
    stroke: var(--clr-rank-4);
}

.pie-chart circle:nth-child(5) {
    stroke: var(--clr-rank-5);
}

.pie-chart circle:last-child {
    stroke: var(--clr-rank-other);
}

.survey-unit__legend>li+li {
    margin-block-start: .25rem;
}

.survey-unit__legend-item {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: .5rem;
}

.survey-unit__legend-label::before {
    content: "";
    display: inline-block;
    width: .8em;
    height: .8em;
    border-radius: 50%;
    background-color: var(--item-clr);
    margin-right: .5em;
    flex: 0 0 auto;
}

.survey-unit__legend-label {
    order: 1;
    display: inline-flex;
    align-items: baseline;
}

.survey-unit__legend-value {
    order: 3;
    line-height: 1;
    font-variant-numeric: tabular-nums;
}

.survey-unit__legend-item::after {
    content: "";
    order: 2;
    flex: 1 1 2rem;
    border-block-end: 2px dotted #888;
    margin-block-end: .25em;
}

.survey-unit__legend-item:first-of-type .survey-unit__legend-value {
    font-size: 1.5em;
}

.survey-unit__legend-item:nth-of-type(2) .survey-unit__legend-value {
    font-size: 1.25em;
}

.survey-unit__legend-item:nth-of-type(3) .survey-unit__legend-value {
    font-size: 1.125em;
}

.survey-unit__legend-item:last-of-type .survey-unit__legend-value {
    font-size: 1em;
}

.survey-list {
    display: grid;
    gap: 4rem;
}

.survey-unit__comment {
    position: relative;
    padding: 2rem 1.5rem 1.5rem;
    border: 2px solid var(--clr-accent-purple);
    border-radius: .5rem;
    backdrop-filter: blur(5px);
    background-color: rgba(255, 255, 255, .25);
}

.survey-unit__comment-label {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    background: var(--clr-accent-purple);
    color: #fff;
    padding: .5em 1em;
    line-height: 1;
    border-end-end-radius: 9px;
    font-size: .75rem;
}

.survey-unit__comment-text {
    height: 5lh;
    overflow-y: auto;
}

.survey-unit__comment-text>p+p {
    margin-block-start: 1em;
}

@media(min-width: 1000px) {
    .survey-list {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(4, auto);
    }

    .against-nervousness {
        grid-area: 3/1/4/3;
    }

    .testimonials {
        grid-area: 4/1/5/3;
    }
}

.survey-unit__messages-wrapper {
    display: flex;
    align-items: center;
    gap: 1rem;
    width: 100%;
    margin-inline: auto;
    flex-wrap: wrap;
    justify-content: center;
}

.survey-unit__messages-list {
    display: flex;
    gap: 1rem;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    scrollbar-width: none;
}

.survey-unit__messages-list::-webkit-scrollbar {
    display: none;
}

.survey-unit__messages {
    aspect-ratio: 3/2;
    overflow-y: auto;
    scroll-snap-align: start;
    padding: 1.5rem;
    border: 2px solid var(--clr-accent-purple);
    border-radius: 8px;
    background: rgba(255, 255, 255, .5);
    flex: 0 0 100%;
    text-decoration-line: underline;
    text-decoration-color: var(--clr-brand-light);
    text-decoration-thickness: 2px;
    text-decoration-style: dotted;
    text-underline-offset: .375em;
}

.testimonials .survey-unit__messages {
    aspect-ratio: 1;
}

@media (min-width: 768px) {
    .survey-unit__messages {
        flex: 0 0 calc((100% - 2rem) / 3);
    }
}

@media (min-width: 1024px) {
    .survey-unit__messages {
        flex: 0 0 calc((100% - 3rem) / 4);
    }
}

.survey-unit__messages-btn {
    flex-shrink: 0;
    background-color: unset;
    color: var(--clr-brand);
    cursor: pointer;
    font-weight: bold;
}

.js-prev-btn::before {
    content: "←";
    margin-inline-end: .25em;
}

.js-next-btn::after {
    content: "→";
    margin-inline-start: .25em;
}

.survey-unit__messages-btn:disabled {
    opacity: .5;
    cursor: not-allowed;
}

/* ----------------------------------
    歴史でコネクト
---------------------------------- */
.timeline {
    position: relative;
    padding-inline-start: 2rem;
}

.timeline::before {
    content: "";
    position: absolute;
    inset: 0 auto 0 0;
    width: 8px;
    background-color: rgba(255, 255, 255, .5);
    border-radius: 4px;
    z-index: 1;
}

.timeline__progress-bar {
    position: absolute;
    left: 0;
    top: 0;
    width: 8px;
    background-color: var(--clr-brand);
    border-radius: 4px;
    height: 100%;
    z-index: 2;
    transform-origin: top center;
    transform: scaleY(0);
    will-change: transform;
}

.timeline__group+.timeline__group {
    margin-block-start: 5rem;
}

.timeline__year {
    position: sticky;
    inset-block-start: 1rem;
    font-size: 3rem;
    font-family: Inter, sans-serif;
    font-weight: 900;
    font-style: italic;
    color: var(--clr-brand);
    line-height: 1;
    z-index: 3;
}

.timeline__content {
    position: relative;
    z-index: 4;
}

.timeline__item {
    margin-block-start: 2rem;
    position: relative;
    background-color: rgba(255, 255, 255, .5);
    backdrop-filter: blur(3px);
    border-radius: 9px;
    padding: 1.5rem;
    border: 2px solid var(--clr-brand);
    box-shadow: inset 0 0 3px rgba(255, 255, 255, .25);
    width: fit-content;
}

.timeline__item::before {
    content: "";
    position: absolute;
    inset-inline-start: -2rem;
    inset-block-start: calc(1.25rem + 2px);
    width: 2rem;
    height: 4px;
    border-radius: 2px;
    background-color: var(--clr-brand);
    z-index: 2;
}

.timeline__item::after {
    content: "";
    position: absolute;
    inset-inline-start: -2.375rem;
    inset-block-start: 1rem;
    width: 1rem;
    height: 1rem;
    background-color: var(--clr-brand);
    border-radius: 50%;
    z-index: 4;
}

.timeline__item:nth-child(2) {
    transition-delay: 0.1s;
}

.timeline__item:nth-child(3) {
    transition-delay: 0.2s;
}

.timeline__date {
    font-family: Inter, sans-serif;
    font-size: .875rem;
    font-weight: 700;
    color: var(--clr-brand);
    margin-bottom: .25rem;
}

.timeline__event {
    font-weight: bold;
    color: var(--clr-brand);
    margin-block-end: .5rem;
    line-height: 1.5;
}

.timeline__event--major {
    font-size: 1.25rem;
}

.timeline__event--normal {
    font-size: 1.125rem;
}

.timeline__description {
    font-size: .875rem;
}

.timeline__badge {
    display: inline-block;
    background-color: var(--clr-accent-orange);
    mix-blend-mode: hard-light;
    color: #fff;
    text-box: cap alphabetic trim-both;
    font-size: .75rem;
    padding: .25em .5em;
    text-transform: uppercase;
    border-radius: 3px;
    vertical-align: middle;
}

.timeline a {
    color: #555;
    font-weight: 500;
    text-decoration-line: underline;
    text-decoration-thickness: 1px;
    text-decoration-style: dashed;
    text-underline-offset: .25em;
}

.timeline__event a+a::before {
    content: ",";
    display: inline-block;
    margin-inline-end: .5em;
}

.emphasis {
    display: inline-block;
    font-size: 1.125em;
    margin-inline: .25em;
    padding-inline: .25em;
    text-box: text trim-both;
    background-color: var(--clr-brand);
    color: #fff;
}

.timeline__reference {
    margin-block-start: 3rem;
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    align-items: center;
    justify-content: center;
}

@media(min-width: 1000px) {
    .timeline__item {
        font-feature-settings: "palt";
        letter-spacing: .1em;
    }

    .timeline__wrapper {
        position: relative;
    }

    .timeline__reference {
        position: sticky;
        inset: auto 0 1rem auto;
        justify-content: flex-end;
    }

    .timeline__reference-image {
        max-width: 200px;
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 80px auto;
        gap: .5rem;
        justify-items: center;
    }

    .timeline__reference-image img {
        width: 100%;
        height: 100%;
        object-fit: contain;
        object-position: center;
    }

    .timeline__reference-image figcaption {
        line-height: 1.5;
        font-size: .75rem;
    }
}

/* ----------------------------------
    about Logo
---------------------------------- */

.about-logo {
    display: flex;
    flex-direction: column;
}

.about-logo__img {
    max-width: 480px;
    margin-inline: auto;
}

.about-logo__description>p+p {
    margin-block-start: 1em;
}

@media (min-width: 1000px) {
    .about-logo {
        flex-direction: row-reverse;
        align-items: center;
    }

    .about-logo__description {
        column-count: 2;
        column-gap: 2rem;
        text-align: justify;
    }
}

/* ----------------------------------
    footer
---------------------------------- */
.p-footer {
    margin-block: 3rem;
    padding-inline: 1.5rem;
}

.footer__links {
    display: flex;
    justify-content: center;
    gap: 1.5rem;
}

.footer__icon {
    display: grid;
    place-content: center;
    transition: translate .2s;
}

.footer__icon img {
    height: 44px;
    width: auto;
}

.footer__icon--x img {
    height: 42px;
}

:is(.footer__icon--youtube, .footer__icon--mailnews) img {
    height: 38px;
}

.footer__return-top img {
    width: 320px;
    margin-inline: auto;
}

.footer__credit {
    width: max-content;
    margin-inline: auto;
    line-height: 1.1;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

/* sns share text */
.sns[data-v-0219b7cb] {
    display: none !important;
}

/* hover */
@media(any-hover: hover) {
    .campaign__item:hover {
        opacity: .8;
    }

    .sns__detail__link:hover {
        opacity: .8;
    }

    .nav-btn:hover {
        color: var(--clr-brand-light);
    }

    .timeline__item a:hover {
        color: var(--clr-brand-light);
    }

    .footer__icon:hover {
        translate: 0 -.5rem;
    }

}